com.informix.json

## Class JSONSerializer.Builder

- java.lang.Object
- - com.informix.json.JSONSerializer.Builder

Enclosing class:
  JSONSerializer

    public static class JSONSerializer.Builder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JSONSerializer` `build()`
`JSONSerializer.Builder` `escapeJavaEscapeSequences(boolean escapeJavaEscapeSequences)`
`JSONSerializer.Builder` `minify(boolean minify)`
`JSONSerializer.Builder` `reset()`
`JSONSerializer.Builder` `strict(boolean strict)`
`JSONSerializer.Builder` `suppressControlCharacters(boolean suppressControlCharacters)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### reset

    public JSONSerializer.Builder reset()

#### escapeJavaEscapeSequences

    public JSONSerializer.Builder escapeJavaEscapeSequences(boolean escapeJavaEscapeSequences)

#### minify

    public JSONSerializer.Builder minify(boolean minify)

#### strict

    public JSONSerializer.Builder strict(boolean strict)

#### suppressControlCharacters

    public JSONSerializer.Builder suppressControlCharacters(boolean suppressControlCharacters)

#### build

    public JSONSerializer build()